# Uses of Class
org.apache.sling.testing.clients.osgi.ServiceInfo

Packages that use ServiceInfo
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.

## Uses of ServiceInfo in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that return ServiceInfo
Modifier and Type
Method
Description
`ServiceInfo`
ServicesInfo.`forId(String id)`
Return service info for a service with given id
Methods in org.apache.sling.testing.clients.osgi that return types with arguments of type ServiceInfo
Modifier and Type
Method
Description
`Collection<ServiceInfo>`
ServicesInfo.`forType(String type)`
Return service infos for a bundle with name `name`